Subject: Re: Thanks! ogg123.exe works!
From: Ralf Habacker <[email-masked]>
To: "Bob Clark" <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Jan 2004 21:53:46 +0100

On Friday 16 January 2004 20:10, Bob Clark wrote:
> Ralf,
>
> I couldn't help myself. I just had to try compiling the sources that you
> pointed me to before I got down to some serious exam grading.
>
> I have to say, after reading the README.cygwin file that you recommended,
> I wasn't too hopeful. The file, in its entirety was,
>
> "README for cygwin
> =================
> This source package comes from the linuxtag 2003 dvd.
>
> Unter cygwin this source package should be compiled and installed with
>
> ./configure --prefix=/usr --disable-dependency-tracking
> make
> make install"
>
> This was pretty generic stuff, so I wasn't expecting what happened next:
> everything compiled and made right out of the box, and ogg123 worked like
> a charm!

Please note that this source package are preconfigured for cygwin. The 
original source packages from xiph will probably not be compilable out of the 
box. I have patched the packages in the following manner, which wasn't be 
able by a simple diff created patch:

libogg 
	export PATH=/usr/autotools/devel/bin:$PATH

	libtoolize --automake -c -f
	aclocal

	# fix libtool problem
	perl -pi -e 's,file_magic \^x86 archive import\|\^x86 DLL,pass_all,g' 
aclocal.m4
	perl -pi -e 's,allow_undefined_flag\, 
\$1\)\=unsupported,allow_undefined_flag\, \$1\)\=no,g' aclocal.m4
	perl -pi -e 's,shared_ext,shrext,g' aclocal.m4

	automake -a -c -f --gnu
	autoconf

libao 
        libtoolize --automake -c -f
        aclocal

        # fix libtool problem
        perl -pi -e 's,file_magic \^x86 archive import\|\^x86 DLL,pass_all,g' 
aclocal.m4
        perl -pi -e 's,allow_undefined_flag\, 
\$1\)\=unsupported,allow_undefined_flag\, \$1\)\=no,g' aclocal.m4
        perl -pi -e 's,shared_ext,shrext,g' aclocal.m4
        perl -pi -e 's,^INCLUDES \=,INCLUDES \= -DSHARED_LIB_EXT=\\".dll\\",g' 
src/Makefile.am
        automake -a -c -f --gnu
        autoconf

libvorbis
        export PATH=/usr/autotools/devel/bin:$PATH

        libtoolize --automake -c -f
        aclocal

        # fix libtool problem
        perl -pi -e 's,file_magic \^x86 archive import\|\^x86 DLL,pass_all,g' 
aclocal.m4
        perl -pi -e 's,allow_undefined_flag\, 
\$1\)\=unsupported,allow_undefined_flag\, \$1\)\=no,g' aclocal.m4
        perl -pi -e 's,shared_ext,shrext,g' aclocal.m4
        perl -pi -e 's,libvorbisfile_la_LDFLAGS = ,libvorbisfile_la_LDFLAGS = 
libvorbis.la ,g' lib/Makefile.am
        perl -pi -e 's,libvorbisenc_la_LDFLAGS = ,libvorbisenc_la_LDFLAGS = 
libvorbis.la ,g' lib/Makefile.am
        automake -a -c -f --gnu
        autoconf

vorbis-tools
        export PATH=/usr/autotools/devel/bin:$PATH

        libtoolize --automake -c -f
        aclocal

        # fix libtool problem
        perl -pi -e 's,file_magic \^x86 archive import\|\^x86 DLL,pass_all,g' 
aclocal.m4
        perl -pi -e 's,allow_undefined_flag\, 
\$1\)\=unsupported,allow_undefined_flag\, \$1\)\=no,g' aclocal.m4
        perl -pi -e 's,shared_ext,shrext,g' aclocal.m4
        perl -pi -e 's,win32/Makefile,,g' configure.in
        perl -pi -e 's, \@SHARE_LIBS, \@SHARE_LIBS\@ \@LIBICONV,g' 
oggenc/Makefile.am
        perl -pi -e 's,LIBICONV\@ \@SHARE_LIBS,SHARE_LIBS\@ \@LIBICONV,g' 
vorbiscomment/Makefile.am
        automake -a -c -f --gnu
        autoconf

> I still have other hurdles to overcome before I'm satisfied (such as
> getting gmpeg to integrate successfully with the ogg stuff), but getting
> ogg123 to work had been driving me crazy for the past several days!
>
> Thanks again for your most generous attention! That was my first post to
> the cygwin mailing list. I wish that I had done it much sooner.
>
> I'm going to repaste those websites that you pointed me to for the mailing
> list archives in the hope that it will save some other souls all the
> trouble that I've had with this issue. I would have never thought to look
> in the kde repository for ogg vorbis stuff.

This is because the recent kde-3.1.4 cygwin release provides ogg support in 
konqueror. Under linux arts provides ogg support, but for several reasons we 
are not using arts (the main reason is it is to slow and too big), so we were 
looking for a smaller solution and found it in using small external sound 
player, vorbis ogg for ogg, madplay for mp3 and a self written wave player 
for wave formats. 

Ralf 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/